<?php

declare(strict_types=1);

namespace App\Filament\Components\Form;

use App\Models\SurveyOption;
use Filament\Forms\Components\Select;

class SurveyOptionSelect extends Select
{
    public static function create(): static
    {
        return parent::make('selected_option_id')
            ->label('گزینه انتخاب‌شده')
            ->label('گزینه نظرسنجی')
            ->options(function () {
                return SurveyOption::all()->pluck('value', 'id');
            })
            ->required()
            ->columnSpan(3);
    }
}
